Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
modbus::GatewayMgr Interface Reference

## Classes
struct | RtuSettings
| Modbus RTU settings. More...
struct | Settings
| Modbus gateway settings (extending modb PortMux service) More...

## Public Member Functions
Settings | getSettings ()
| Get the modbus gateway settings.
int | setSettings (in Settings settings)
| Set the modbus gateway settings.

## Public Attributes
constant int | NO_ERROR = 0
| No error.
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.

## Detailed Description

Definition at line 10 of file ModbusGatewayMgr.idl.

## Member Function Documentation

## ◆ getSettings()

Settings modbus::GatewayMgr::getSettings | ( |  | ) |

Get the modbus gateway settings.

Returns
  settings

## ◆ setSettings()

int modbus::GatewayMgr::setSettings | ( | in Settings | settings | ) |

Set the modbus gateway settings.

Parameters

  settings |

Returns
  0 if OK
  ERR_INVALID_PARAMS if any parameters are invalid

## Member Data Documentation

## ◆ ERR_INVALID_PARAMS

constant int modbus::GatewayMgr::ERR_INVALID_PARAMS = 1

Invalid parameters.

Definition at line 12 of file ModbusGatewayMgr.idl.

## ◆ NO_ERROR

constant int modbus::GatewayMgr::NO_ERROR = 0

No error.

Definition at line 11 of file ModbusGatewayMgr.idl.

The documentation for this interface was generated from the following file:

- ModbusGatewayMgr.idl